"use strict";

var spawn = require("cross-spawn");
var script = process.argv[2];
var args = process.argv.slice(3);

var run = function run(script) {
  var _spawn$sync = spawn.sync("node", [require.resolve(script)].concat(args), { stdio: "inherit" }),
      status = _spawn$sync.status;

  process.exit(status);
};

switch (script) {
  case "build":
  case "dev":
  case "test":
    {
      run("../scripts/" + script);
      break;
    }
  case "eject":
    {
      run("./" + script);
      break;
    }
  default:
    // eslint-disable-next-line no-console
    console.log("Unknown script \"" + script + "\".");
    break;
}